QGIS Application - Bug report #8490
Index shift in check geometry validity tool
2013-08-21 12:54 AM - Olivier Monod

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 17255
Description

Small issue with the "check geometry validity" tool in QGIS in menu "Vector=> Geometry Tools".

The tool identify geometry errors with an index that is shifted (n -1) compared with index appearing in the corresponding attribute table.

History

#1 - 2013-08-21 01:32 AM - Olivier Monod

The problem was identified using mapinfo file. It doesn't show up with ESRI shapefile.

#2 - 2014-06-21 04:53 AM - Jiirgen Fischer

- Resolution set to worksforme

- Status changed from Open to Closed

The attribute table doesn't show the feature id in the row header - it's just a row number in the table. But the geometry validation shows the feature id.
Depending on the data source there might be close similarities if you have all features in the attribute table, but for data sources where the ids are not
based on the feature order in the data source, you won't see any at all.

#3 - 2014-06-21 04:53 AM - Jiirgen Fischer

- Resolution changed from worksforme to invalid
